<?php

/* DCMS Special
 * Дата последнего редактирования 12.10.2016
 * Модифицировал densnet & POLO75
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

$doc->Title('Фон профиля');

require_once H . 'sys/inc/thead.php';

aut();
err();


if (isset($_GET['addfon'])) {

    $max_image_width = 380;
    $max_image_height = 600;

    $path = 'img/'; // Путь загрузки
    $types = array('image/gif', 'image/png', 'image/jpeg');
    $size = 524000;

    if ($_FILES['image']['size'] > $size) {
        $_SESSION['err'] = lang('Слишком большой размер изображения');
        header("Location: index.php");
        exit;
    }

    if (!@copy($_FILES['image']['tmp_name'], $path . $user['id'] . '.png')) {
        echo 'Что-то пошло не так';
    } else {
        $_SESSION['message'] = lang('Фон успешно установлен');
        header("Location: index.php");
        exit;
    }

    echo '<meta http-equiv="refresh" content="1; URL=index.php" />';
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/id$user[id]'>" . $user['nick'] . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Фон профиля');
echo "</small></div><br />";

echo "<form enctype='multipart/form-data' method='post' action='?addfon'>\n";
echo '<div style="background: url(img/' . $user['id'] . '.png) center; background-size: 100%; padding: 0px;">';
echo '<div style="background: url(fon_ten.png);  padding: 10px;">';

if (is_file(H . '/user/fon/img/' . $user['id'] . '.gif')) {
    
} else {
    echo "<center><img src='not_fon.png' width='300'/><br />";
}
echo "<input name='image' type='file' class='btn btn-secondary btn-sm' style='width: 50%;'><br /><br />";

$doc->Button('btn btn-secondary btn-sm', 'add', 'camera', 'Загрузить');

echo "</div>";
echo "</div>";
echo "</form>\n";

include_once H . 'sys/inc/tfoot.php';
?>






